/* sdb - sdb help function */

#include "sdbio.h"

/* help - provide some online help */
int help()
{
    fputs(
"\
create <rname> (<adefs>) <size> <esize>	- create a new relation\n\
insert <rname>				- insert tuples into a relation\n\
delete <rse> ;				- delete tuples from relations\n\
update <anames> from <rse> ;		- update tuples within a relation\n\
select <anames> from <rse> [<i>] ;	- select and create a new relation\n\
print [<u>] <anames> from <rse> [<i>] ;	- print tuples\n\
sort <rname> by <snames> ;		- sort a relation file\n\
import <fname> into <rname>		- import tuples from a file\n\
export <rname> [<i>] ;			- export tuples to a file\n\
extract <rname> [<i>] ;			- extract definition to a file\n\
compress <rname>			- compress a relation file\n\
define <mname>				- define a macro\n\
exit					- exit SDB\n\
<u>		::=	using <fname>\n\
<i>		::=	into <fname>\n\
<adefs>		::=	<a list of attribute definitions>\n\
<rse>		::=	<rnames> [where <boolean-expression>]\n\
<rname>		::=	<a relation name>\n\
<rnames>	::=	<a comma separated list of <rname>s>\n\
<aname>		::=	[<rname> .] <an attribute name>\n\
<anames>	::=	* | <a comma separated list of <aname>s>\n\
<sname>		::=	<aname> { ascending | descending }\n\
<snames>	::=	<a comma separated list of <sname>s>\n\
",
    stdout);
    return (TRUE);
}
